aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2021-05-28 09:23:52 -0300
committerSilvio Rhatto <rhatto@riseup.net>2021-05-28 09:23:52 -0300
commit5e2a39e2d9fc1ecb0c4afc348f3703cea6ef461b (patch)
tree4ad03b002fbd3cd8f5eb04828d476234506e58e7
parent153b61a04dd47d818b21fa28f92105af559a01cd (diff)
downloadtrashman-5e2a39e2d9fc1ecb0c4afc348f3703cea6ef461b.tar.gz
trashman-5e2a39e2d9fc1ecb0c4afc348f3703cea6ef461b.tar.bz2
Feat: hoarder: yt-splitter
-rw-r--r--share/hoarder/yt-splitter/info1
-rwxr-xr-xshare/hoarder/yt-splitter/unix/linux/install28
2 files changed, 29 insertions, 0 deletions
diff --git a/share/hoarder/yt-splitter/info b/share/hoarder/yt-splitter/info
new file mode 100644
index 0000000..aa88f6e
--- /dev/null
+++ b/share/hoarder/yt-splitter/info
@@ -0,0 +1 @@
+downloads and splits audio tracks from a YouTube video according to the chapters/tracks
diff --git a/share/hoarder/yt-splitter/unix/linux/install b/share/hoarder/yt-splitter/unix/linux/install
new file mode 100755
index 0000000..8671b03
--- /dev/null
+++ b/share/hoarder/yt-splitter/unix/linux/install
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+#
+# Install yt-splitter package manager.
+#
+
+# Parameters
+SHARE="$1"
+LIB="$2"
+
+# Include basic functions
+. $LIB/trashman/functions || exit 1
+
+# Requirements
+trashman_require wget ffmpeg
+
+# Dependency: youtube-dl
+hoarder install youtube-dl
+
+# Additional parameters
+VERSION="0.1.2"
+URL="https://github.com/redsolver/yt-splitter/releases/download/v$VERSION/yt-splitter-linux"
+DEST="$HOME/.local/bin/yt-splitter"
+
+# Remove any older version
+rm -f $DEST
+
+# Download and install
+wget "$URL" -O "$DEST" && chmod +x "$DEST" || exit 1